#!/bin/sh
#/****************************************************************************/
#/* SELINUX SETUP SCRIPT                                                     */
#/*                                          Copyright FUJITSU LTD 2009      */
#/*                                                                          */
#/* $Name: SLINPSA-2_6_1-0 $                                                     */
#/****************************************************************************/
# Development date : Fri OCT 16 2009

#==============================================================================
# This is the script to disable SELinux function.
# Only FJSVpsa Installer is permitted to execute this script.
# This script will return as follows.
#      0 : End successfully
#      1 : Abnormal end
#==============================================================================

CONF=/etc/selinux/config
if [ ! -f $CONF ]
then
    echo "couldn't find the file : $CONF"
    exit 1
fi

selinuxenabled

if [ $? -eq 1 ]
then
    echo "already disabled"
    exit 0
fi

sed "s/^\(SELINUX[[:space:]]*=[[:space:]]*\).*/\1disabled/" $CONF > $CONF.tmp
mv -f $CONF $CONF.org
mv -f $CONF.tmp $CONF
rm -f $CONF.org
logger -p info -t FJSVpsa I 02899 setselinux disabled the SELinux function. This setting will take effect after reboot.
exit 0
